<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_splash">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guide_line"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.15" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_logo"
        android:layout_width="@dimen/dp_136"
        android:layout_height="@dimen/dp_136"
        android:src="@drawable/img_qidong"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/guide_line"
        tools:ignore="ImageContrastCheck" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tvName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_8"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_logo" />

    <LinearLayout
        android:id="@+id/llConsent"
        android:layout_width="@dimen/dp_306"
        android:layout_height="@dimen/dp_180"
        android:layout_marginHorizontal="33dp"
        android:background="@drawable/bg_f8f9fa_20"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@id/cl_bottom_start"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.495"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tvName"
        app:layout_constraintVertical_bias="0.291">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_10">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="@dimen/dp_24"
                android:layout_height="@dimen/dp_24"
                android:layout_gravity="center_vertical"
                android:src="@drawable/icon_zhuyi" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:text="@string/consent_required"
                android:textColor="#838383"
                android:textSize="@dimen/sp_13"
                android:textStyle="bold"
                tools:ignore="TextContrastCheck" />

        </LinearLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_12">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:gravity="center"
                android:text="@string/consent"
                android:textColor="#A8A8A8"
                android:textSize="@dimen/sp_12"
                tools:ignore="TextContrastCheck" />
        </ScrollView>


    </LinearLayout>

    <LinearLayout
        android:id="@+id/cl_bottom_start"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_50"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tvStart"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginHorizontal="@dimen/dp_35"
            android:layout_marginTop="@dimen/dp_20"
            android:background="@drawable/bg_splash_button_bg"
            android:gravity="center"
            android:text="@string/start"
            android:textAlignment="center"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/sp_24"
            android:textStyle="bold" />


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_14"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/by_continuing_"
                android:textColor="#F2FEF8"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:id="@+id/tvPrivacy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/privacy_policy"
                android:textColor="#F2FEF8"
                android:textSize="@dimen/sp_12" />

            <!--            <TextView-->
            <!--                android:layout_width="wrap_content"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:text=" &amp; "-->
            <!--                android:textColor="#1A1A1A"-->
            <!--                android:textSize="@dimen/sp_14"-->
            <!--                tools:ignore="HardcodedText" />-->

            <!--            <TextView-->
            <!--                android:id="@+id/tvTerms"-->
            <!--                android:layout_width="wrap_content"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:text="@string/terms_of_service"-->
            <!--                android:textSize="@dimen/sp_14" />-->

        </LinearLayout>


    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_bottom_loading"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:visibility="visible">

        <!--        <com.airbnb.lottie.LottieAnimationView-->
        <!--            android:id="@+id/lottie_loading"-->
        <!--            android:layout_width="wrap_content"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginBottom="48dp"-->
        <!--            app:layout_constraintBottom_toBottomOf="parent"-->
        <!--            app:layout_constraintEnd_toEndOf="parent"-->
        <!--            app:layout_constraintStart_toStartOf="parent"-->
        <!--            app:layout_constraintTop_toTopOf="parent"-->
        <!--            app:lottie_autoPlay="true"-->
        <!--            app:lottie_fileName="loading.json"-->
        <!--            app:lottie_loop="true" />-->


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent">


            <com.base.appzxhy.ui.views.LineCentreProView
                android:id="@+id/progressBar"
                style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_20"
                android:layout_marginHorizontal="@dimen/dp_24"
                android:layout_marginBottom="@dimen/dp_25"
                app:box_height="@dimen/dp_20"
                app:box_width="@dimen/dp_45"
                app:progress_color="@color/white"
                app:progress_color_background="#33ffffff"
                app:progress_max="100"
                app:progress_size="10dp"
                app:radius="@dimen/dp_25"
                app:text_color="@color/colorPrimary"
                app:text_size="@dimen/sp_12" />


            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_50"
                android:gravity="center"
                android:text="@string/involve_ad"
                android:textColor="#F2FEF8"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold" />


        </LinearLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>